IF EXISTS (SELECT 1 FROM sys.objects WHERE object_id = OBJECT_ID('[dbo].[order_204_query]') AND type = 'P')
DROP PROCEDURE [dbo].[order_204_query]
GO
CREATE  procedure order_204_query(
@cmpid int,@branchid int,@userdpid int,@userotid int ,@useruid int ,@bizid int ,@finished int ,@status nvarchar(50),@pagesize int , @pagecount int , @pageobjids varchar(8000),@ord_zw_min varchar(100), @ord_zw_max varchar(100),@ord_ywlx_min varchar(100), @ord_ywlx_max varchar(100),@ord_pqfzr_min varchar(100), @ord_pqfzr_max varchar(100),@ord_dpmc_min varchar(100), @ord_dpmc_max varchar(100),@ord_ksrq_min datetime,@ord_ksrq_max datetime,@ord_lxdh_min varchar(100), @ord_lxdh_max varchar(100),@ord_no_min varchar(50), @ord_no_max varchar(50),@ord_status_min nvarchar(30), @ord_status_max nvarchar(30),@ord_ddcuid_min int,@ord_ddcuid_max int,@ord_creator_min nvarchar(50), @ord_creator_max nvarchar(50)) as begin  
set nocount on  

declare @nonedate datetime 
set @nonedate = CONVERT(datetime,'1910-1-1') 
declare @s1 varchar(8000) 
declare @s2 varchar(100) 
declare @i int 
declare @amount int 
select @amount = @pagecount*@pagesize 
declare @pobjs table(nid int identity(1, 1), ordid bigint) 
set @s1 = @pageobjids 
while (@s1>'') 
begin 
set @i = charindex(',', @s1) 
if (@i>0) 
begin 
set @s2 = substring(@s1,1,@i-1) 
set @s1 = substring(@s1,@i+1,len(@s1)-@i) 
end else  
begin 
set @s2 = @s1 
set @s1 = '' 
end 
insert into @pobjs(ordid) values(convert(bigint,@s2)) 
end 
if (exists (select top 1 * from @pobjs)) 
begin 
select a.* from order_204 a, @pobjs
where ord_id=ordid
order by nid 
select a.* from order_204_users a , @pobjs 
where ordp_ordid=ordid and ordp_cuid=@useruid
return 
end 
if (@status is null or @status = '_none_') set @status = '' 


if (@ord_zw_min is null or @ord_zw_min = '_none_') set @ord_zw_min = '' 
if (@ord_zw_max is null or @ord_zw_max = '_none_') set @ord_zw_max = '' 

if (@ord_ywlx_min is null or @ord_ywlx_min = '_none_') set @ord_ywlx_min = '' 
if (@ord_ywlx_max is null or @ord_ywlx_max = '_none_') set @ord_ywlx_max = '' 

if (@ord_pqfzr_min is null or @ord_pqfzr_min = '_none_') set @ord_pqfzr_min = '' 
if (@ord_pqfzr_max is null or @ord_pqfzr_max = '_none_') set @ord_pqfzr_max = '' 

if (@ord_dpmc_min is null or @ord_dpmc_min = '_none_') set @ord_dpmc_min = '' 
if (@ord_dpmc_max is null or @ord_dpmc_max = '_none_') set @ord_dpmc_max = '' 


                if (@ord_ksrq_min is null or @ord_ksrq_min <= @nonedate) set @ord_ksrq_min = '1900-01-01' 
                
if (@ord_ksrq_max is null or @ord_ksrq_max <= @nonedate) set @ord_ksrq_max =  '2299-12-30 23:59:59'
else set @ord_ksrq_max = @ord_ksrq_max+ '23:59:59'
                

if (@ord_lxdh_min is null or @ord_lxdh_min = '_none_') set @ord_lxdh_min = '' 
if (@ord_lxdh_max is null or @ord_lxdh_max = '_none_') set @ord_lxdh_max = '' 

if (@ord_no_min is null or @ord_no_min = '_none_') set @ord_no_min = '' 
if (@ord_no_max is null or @ord_no_max = '_none_') set @ord_no_max = '' 

if (@ord_status_min is null or @ord_status_min = '_none_') set @ord_status_min = '' 
if (@ord_status_max is null or @ord_status_max = '_none_') set @ord_status_max = '' 

if (@ord_ddcuid_min is null or @ord_ddcuid_min = -999999999) set @ord_ddcuid_min = -999999999 
if (@ord_ddcuid_max is null or @ord_ddcuid_max = -999999999) set @ord_ddcuid_max = 999999999

if (@ord_creator_min is null or @ord_creator_min = '_none_') set @ord_creator_min = '' 
if (@ord_creator_max is null or @ord_creator_max = '_none_') set @ord_creator_max = '' 

if @ord_zw_min>'' 
begin 
if (charindex('%',@ord_zw_min) = 0 and @ord_zw_min!='_empty_') 
 begin
set @ord_zw_min = '%'+@ord_zw_min+'%';
 end else if (@ord_zw_min='_empty_') set @ord_zw_min='' 
end else
begin 
set @ord_zw_min = '%' 
end
if @ord_zw_max>'' 
begin 
if (charindex('%', @ord_zw_max) = 0 and @ord_zw_max!='_empty_') 
begin
set@ord_zw_max = '%'+@ord_zw_max+'%';
 end else if (@ord_zw_max='_empty_') set @ord_zw_max='' 
end else
begin 
set @ord_zw_max = '%' 
end

if @ord_ywlx_min>'' 
begin 
if (charindex('%',@ord_ywlx_min) = 0 and @ord_ywlx_min!='_empty_') 
 begin
set @ord_ywlx_min = '%'+@ord_ywlx_min+'%';
 end else if (@ord_ywlx_min='_empty_') set @ord_ywlx_min='' 
end else
begin 
set @ord_ywlx_min = '%' 
end
if @ord_ywlx_max>'' 
begin 
if (charindex('%', @ord_ywlx_max) = 0 and @ord_ywlx_max!='_empty_') 
begin
set@ord_ywlx_max = '%'+@ord_ywlx_max+'%';
 end else if (@ord_ywlx_max='_empty_') set @ord_ywlx_max='' 
end else
begin 
set @ord_ywlx_max = '%' 
end

if @ord_pqfzr_min>'' 
begin 
if (charindex('%',@ord_pqfzr_min) = 0 and @ord_pqfzr_min!='_empty_') 
 begin
set @ord_pqfzr_min = '%'+@ord_pqfzr_min+'%';
 end else if (@ord_pqfzr_min='_empty_') set @ord_pqfzr_min='' 
end else
begin 
set @ord_pqfzr_min = '%' 
end
if @ord_pqfzr_max>'' 
begin 
if (charindex('%', @ord_pqfzr_max) = 0 and @ord_pqfzr_max!='_empty_') 
begin
set@ord_pqfzr_max = '%'+@ord_pqfzr_max+'%';
 end else if (@ord_pqfzr_max='_empty_') set @ord_pqfzr_max='' 
end else
begin 
set @ord_pqfzr_max = '%' 
end

if @ord_dpmc_min>'' 
begin 
if (charindex('%',@ord_dpmc_min) = 0 and @ord_dpmc_min!='_empty_') 
 begin
set @ord_dpmc_min = '%'+@ord_dpmc_min+'%';
 end else if (@ord_dpmc_min='_empty_') set @ord_dpmc_min='' 
end else
begin 
set @ord_dpmc_min = '%' 
end
if @ord_dpmc_max>'' 
begin 
if (charindex('%', @ord_dpmc_max) = 0 and @ord_dpmc_max!='_empty_') 
begin
set@ord_dpmc_max = '%'+@ord_dpmc_max+'%';
 end else if (@ord_dpmc_max='_empty_') set @ord_dpmc_max='' 
end else
begin 
set @ord_dpmc_max = '%' 
end

if @ord_lxdh_min>'' 
begin 
if (charindex('%',@ord_lxdh_min) = 0 and @ord_lxdh_min!='_empty_') 
 begin
set @ord_lxdh_min = '%'+@ord_lxdh_min+'%';
 end else if (@ord_lxdh_min='_empty_') set @ord_lxdh_min='' 
end else
begin 
set @ord_lxdh_min = '%' 
end
if @ord_lxdh_max>'' 
begin 
if (charindex('%', @ord_lxdh_max) = 0 and @ord_lxdh_max!='_empty_') 
begin
set@ord_lxdh_max = '%'+@ord_lxdh_max+'%';
 end else if (@ord_lxdh_max='_empty_') set @ord_lxdh_max='' 
end else
begin 
set @ord_lxdh_max = '%' 
end

if @ord_no_min>'' 
begin 
if (charindex('%',@ord_no_min) = 0 and @ord_no_min!='_empty_') 
 begin
set @ord_no_min = '%'+@ord_no_min+'%';
 end else if (@ord_no_min='_empty_') set @ord_no_min='' 
end else
begin 
set @ord_no_min = '%' 
end
if @ord_no_max>'' 
begin 
if (charindex('%', @ord_no_max) = 0 and @ord_no_max!='_empty_') 
begin
set@ord_no_max = '%'+@ord_no_max+'%';
 end else if (@ord_no_max='_empty_') set @ord_no_max='' 
end else
begin 
set @ord_no_max = '%' 
end

if @ord_status_min>'' 
begin 
if (charindex('%',@ord_status_min) = 0 and @ord_status_min!='_empty_') 
 begin
set @ord_status_min = '%'+@ord_status_min+'%';
 end else if (@ord_status_min='_empty_') set @ord_status_min='' 
end else
begin 
set @ord_status_min = '%' 
end
if @ord_status_max>'' 
begin 
if (charindex('%', @ord_status_max) = 0 and @ord_status_max!='_empty_') 
begin
set@ord_status_max = '%'+@ord_status_max+'%';
 end else if (@ord_status_max='_empty_') set @ord_status_max='' 
end else
begin 
set @ord_status_max = '%' 
end

if @ord_creator_min>'' 
begin 
if (charindex('%',@ord_creator_min) = 0 and @ord_creator_min!='_empty_') 
 begin
set @ord_creator_min = '%'+@ord_creator_min+'%';
 end else if (@ord_creator_min='_empty_') set @ord_creator_min='' 
end else
begin 
set @ord_creator_min = '%' 
end
if @ord_creator_max>'' 
begin 
if (charindex('%', @ord_creator_max) = 0 and @ord_creator_max!='_empty_') 
begin
set@ord_creator_max = '%'+@ord_creator_max+'%';
 end else if (@ord_creator_max='_empty_') set @ord_creator_max='' 
end else
begin 
set @ord_creator_max = '%' 
end
 
    
if (@finished = -11)
begin
if (@pagesize=10000)  -- 下载
begin
select a.* from order_204 a,order_204_users 
where a.ord_cmpid=@cmpid 
and ordp_ordid=a.ord_id 
and ordp_type='bizview' 
and ordp_cuid=@useruid 
and (a.ord_status=@status or @status='') 
and a.ord_finished > 0 
and ord_zw like @ord_zw_min 
and ord_zw like @ord_zw_max 
and ord_ywlx like @ord_ywlx_min 
and ord_ywlx like @ord_ywlx_max 
and ord_pqfzr like @ord_pqfzr_min 
and ord_pqfzr like @ord_pqfzr_max 
and ord_dpmc like @ord_dpmc_min 
and ord_dpmc like @ord_dpmc_max 
and ord_ksrq>=@ord_ksrq_min 
and ord_ksrq<=@ord_ksrq_max 
and ord_lxdh like @ord_lxdh_min 
and ord_lxdh like @ord_lxdh_max 
and ord_no like @ord_no_min 
and ord_no like @ord_no_max 
and ord_status like @ord_status_min 
and ord_status like @ord_status_max 
and ord_ddcuid>=@ord_ddcuid_min 
and ord_ddcuid<=@ord_ddcuid_max 
and ord_creator like @ord_creator_min 
and ord_creator like @ord_creator_max 
order by ord_date desc,ord_zw,ord_ywlx,ord_pqfzr,ord_dpmc,ord_ksrq desc,ord_lxdh,ord_no,ord_status,ord_ddcuid,ord_creator
end else 
if (@pagesize>=100000000)  --  转存到中间表
begin
set @pagesize = @pagesize - 100000000 
if (@pagesize<=0) set @pagesize = 100000000 
delete datalinker where useruid = @useruid 
insert into datalinker(useruid,objid) 
select top(@pagesize) @useruid,a.ord_id  from order_204 a,order_204_users 
where a.ord_id=ordp_ordid 
and ordp_type='bizview' 
and ordp_cuid=@useruid 
and a.ord_finished > 0
and (a.ord_status=@status or @status='') 
and ord_zw like @ord_zw_min 
and ord_zw like @ord_zw_max 
and ord_ywlx like @ord_ywlx_min 
and ord_ywlx like @ord_ywlx_max 
and ord_pqfzr like @ord_pqfzr_min 
and ord_pqfzr like @ord_pqfzr_max 
and ord_dpmc like @ord_dpmc_min 
and ord_dpmc like @ord_dpmc_max 
and ord_ksrq>=@ord_ksrq_min 
and ord_ksrq<=@ord_ksrq_max 
and ord_lxdh like @ord_lxdh_min 
and ord_lxdh like @ord_lxdh_max 
and ord_no like @ord_no_min 
and ord_no like @ord_no_max 
and ord_status like @ord_status_min 
and ord_status like @ord_status_max 
and ord_ddcuid>=@ord_ddcuid_min 
and ord_ddcuid<=@ord_ddcuid_max 
and ord_creator like @ord_creator_min 
and ord_creator like @ord_creator_max 
order by ord_date desc,ord_zw,ord_ywlx,ord_pqfzr,ord_dpmc,ord_ksrq desc,ord_lxdh,ord_no,ord_status,ord_ddcuid,ord_creator
select count(1) resultcount  from datalinker where useruid=@useruid 
end else
begin
select count(1) cnt from order_204 a,order_204_users 
where a.ord_id=ordp_ordid 
and a.ord_finished > 0
and ordp_type='bizview' 
and ordp_cuid=@useruid 
and (a.ord_status=@status or @status='') 
and ord_zw like @ord_zw_min 
and ord_zw like @ord_zw_max 
and ord_ywlx like @ord_ywlx_min 
and ord_ywlx like @ord_ywlx_max 
and ord_pqfzr like @ord_pqfzr_min 
and ord_pqfzr like @ord_pqfzr_max 
and ord_dpmc like @ord_dpmc_min 
and ord_dpmc like @ord_dpmc_max 
and ord_ksrq>=@ord_ksrq_min 
and ord_ksrq<=@ord_ksrq_max 
and ord_lxdh like @ord_lxdh_min 
and ord_lxdh like @ord_lxdh_max 
and ord_no like @ord_no_min 
and ord_no like @ord_no_max 
and ord_status like @ord_status_min 
and ord_status like @ord_status_max 
and ord_ddcuid>=@ord_ddcuid_min 
and ord_ddcuid<=@ord_ddcuid_max 
and ord_creator like @ord_creator_min 
and ord_creator like @ord_creator_max 

-- 返回所有ID
insert into @pobjs(ordid) select top(@amount) ord_id from order_204 a,order_204_users 
where a.ord_id=ordp_ordid 
and a.ord_finished > 0
and ordp_type='bizview' 
and ordp_cuid=@useruid 
and (a.ord_status=@status or @status='') 
and ord_zw like @ord_zw_min 
and ord_zw like @ord_zw_max 
and ord_ywlx like @ord_ywlx_min 
and ord_ywlx like @ord_ywlx_max 
and ord_pqfzr like @ord_pqfzr_min 
and ord_pqfzr like @ord_pqfzr_max 
and ord_dpmc like @ord_dpmc_min 
and ord_dpmc like @ord_dpmc_max 
and ord_ksrq>=@ord_ksrq_min 
and ord_ksrq<=@ord_ksrq_max 
and ord_lxdh like @ord_lxdh_min 
and ord_lxdh like @ord_lxdh_max 
and ord_no like @ord_no_min 
and ord_no like @ord_no_max 
and ord_status like @ord_status_min 
and ord_status like @ord_status_max 
and ord_ddcuid>=@ord_ddcuid_min 
and ord_ddcuid<=@ord_ddcuid_max 
and ord_creator like @ord_creator_min 
and ord_creator like @ord_creator_max 
order by ord_date desc,ord_zw,ord_ywlx,ord_pqfzr,ord_dpmc,ord_ksrq desc,ord_lxdh,ord_no,ord_status,ord_ddcuid,ord_creator
select ordid from @pobjs 
order by nid 
-- 返回第一页 
select top(@pagesize) a.* from order_204 a,@pobjs 
where a.ord_id=ordid 
and (a.ord_status=@status or @status='')
and a.ord_finished > 0
order by nid 
-- 返回权限 
select a.* from order_204_users a , @pobjs 
where ordp_ordid=ordid 
and nid<=@pagesize 
and ordp_cuid=@useruid 
end 
end else
if (@finished = -10)
begin
if (@pagesize=10000)  -- 下载
begin
select a.* from order_204 a,order_204_users 
where a.ord_cmpid=@cmpid 
and ordp_type='bizview' 
and ordp_ordid=a.ord_id 
and ordp_cuid=@useruid 
and (a.ord_status=@status or @status='') 
and (a.ord_finished>0 and a.ord_createcuid=@useruid) 
and ord_zw like @ord_zw_min 
and ord_zw like @ord_zw_max 
and ord_ywlx like @ord_ywlx_min 
and ord_ywlx like @ord_ywlx_max 
and ord_pqfzr like @ord_pqfzr_min 
and ord_pqfzr like @ord_pqfzr_max 
and ord_dpmc like @ord_dpmc_min 
and ord_dpmc like @ord_dpmc_max 
and ord_ksrq>=@ord_ksrq_min 
and ord_ksrq<=@ord_ksrq_max 
and ord_lxdh like @ord_lxdh_min 
and ord_lxdh like @ord_lxdh_max 
and ord_no like @ord_no_min 
and ord_no like @ord_no_max 
and ord_status like @ord_status_min 
and ord_status like @ord_status_max 
and ord_ddcuid>=@ord_ddcuid_min 
and ord_ddcuid<=@ord_ddcuid_max 
and ord_creator like @ord_creator_min 
and ord_creator like @ord_creator_max 
order by ord_date desc,ord_zw,ord_ywlx,ord_pqfzr,ord_dpmc,ord_ksrq desc,ord_lxdh,ord_no,ord_status,ord_ddcuid,ord_creator
end else 
if (@pagesize>=100000000)  --  转存到中间表
begin
set @pagesize = @pagesize - 100000000 
if (@pagesize<=0) set @pagesize = 100000000 
delete datalinker where useruid = @useruid 
insert into datalinker(useruid,objid) 
select top(@pagesize) @useruid,a.ord_id  from order_204 a,order_204_users 
where a.ord_id=ordp_ordid 
and ordp_type='bizview' 
and ordp_cuid=@useruid 
and (a.ord_finished>0 and a.ord_createcuid=@useruid) 
and (a.ord_status=@status or @status='') 
and ord_zw like @ord_zw_min 
and ord_zw like @ord_zw_max 
and ord_ywlx like @ord_ywlx_min 
and ord_ywlx like @ord_ywlx_max 
and ord_pqfzr like @ord_pqfzr_min 
and ord_pqfzr like @ord_pqfzr_max 
and ord_dpmc like @ord_dpmc_min 
and ord_dpmc like @ord_dpmc_max 
and ord_ksrq>=@ord_ksrq_min 
and ord_ksrq<=@ord_ksrq_max 
and ord_lxdh like @ord_lxdh_min 
and ord_lxdh like @ord_lxdh_max 
and ord_no like @ord_no_min 
and ord_no like @ord_no_max 
and ord_status like @ord_status_min 
and ord_status like @ord_status_max 
and ord_ddcuid>=@ord_ddcuid_min 
and ord_ddcuid<=@ord_ddcuid_max 
and ord_creator like @ord_creator_min 
and ord_creator like @ord_creator_max 
order by ord_date desc,ord_zw,ord_ywlx,ord_pqfzr,ord_dpmc,ord_ksrq desc,ord_lxdh,ord_no,ord_status,ord_ddcuid,ord_creator
select count(1) resultcount  from datalinker where useruid=@useruid 
end else
begin
select count(1) cnt from order_204 a,order_204_users 
where a.ord_id=ordp_ordid 
and (a.ord_finished>0 and a.ord_createcuid=@useruid) 
and ordp_type='bizview' 
and ordp_cuid=@useruid 
and (a.ord_status=@status or @status='') 
and ord_zw like @ord_zw_min 
and ord_zw like @ord_zw_max 
and ord_ywlx like @ord_ywlx_min 
and ord_ywlx like @ord_ywlx_max 
and ord_pqfzr like @ord_pqfzr_min 
and ord_pqfzr like @ord_pqfzr_max 
and ord_dpmc like @ord_dpmc_min 
and ord_dpmc like @ord_dpmc_max 
and ord_ksrq>=@ord_ksrq_min 
and ord_ksrq<=@ord_ksrq_max 
and ord_lxdh like @ord_lxdh_min 
and ord_lxdh like @ord_lxdh_max 
and ord_no like @ord_no_min 
and ord_no like @ord_no_max 
and ord_status like @ord_status_min 
and ord_status like @ord_status_max 
and ord_ddcuid>=@ord_ddcuid_min 
and ord_ddcuid<=@ord_ddcuid_max 
and ord_creator like @ord_creator_min 
and ord_creator like @ord_creator_max 

-- 返回所有ID
insert into @pobjs(ordid) select top(@amount) ord_id from order_204 a,order_204_users 
where a.ord_id=ordp_ordid 
and (a.ord_finished>0 and a.ord_createcuid=@useruid) 
and ordp_type='bizview' 
and ordp_cuid=@useruid 
and (a.ord_status=@status or @status='') 
and ord_zw like @ord_zw_min 
and ord_zw like @ord_zw_max 
and ord_ywlx like @ord_ywlx_min 
and ord_ywlx like @ord_ywlx_max 
and ord_pqfzr like @ord_pqfzr_min 
and ord_pqfzr like @ord_pqfzr_max 
and ord_dpmc like @ord_dpmc_min 
and ord_dpmc like @ord_dpmc_max 
and ord_ksrq>=@ord_ksrq_min 
and ord_ksrq<=@ord_ksrq_max 
and ord_lxdh like @ord_lxdh_min 
and ord_lxdh like @ord_lxdh_max 
and ord_no like @ord_no_min 
and ord_no like @ord_no_max 
and ord_status like @ord_status_min 
and ord_status like @ord_status_max 
and ord_ddcuid>=@ord_ddcuid_min 
and ord_ddcuid<=@ord_ddcuid_max 
and ord_creator like @ord_creator_min 
and ord_creator like @ord_creator_max 
order by ord_date desc,ord_zw,ord_ywlx,ord_pqfzr,ord_dpmc,ord_ksrq desc,ord_lxdh,ord_no,ord_status,ord_ddcuid,ord_creator
select ordid from @pobjs 
order by nid 
-- 返回第一页 
select top(@pagesize) a.* from order_204 a,@pobjs 
where a.ord_id=ordid 
and (a.ord_status=@status or @status='')
and (a.ord_finished>0 and a.ord_createcuid=@useruid) 
order by nid 
-- 返回权限 
select a.* from order_204_users a , @pobjs 
where ordp_ordid=ordid 
and nid<=@pagesize 
and ordp_cuid=@useruid 
end 
end else
if (@finished = 2)
begin
if (@pagesize=10000)  -- 下载
begin
select a.* from order_204 a,order_204_users 
where a.ord_cmpid=@cmpid 
and ordp_ordid=a.ord_id 
and ordp_type='bizview' 
and ordp_cuid=@useruid 
and (a.ord_status=@status or @status='') 
and a.ord_finished>=2 
and ord_zw like @ord_zw_min 
and ord_zw like @ord_zw_max 
and ord_ywlx like @ord_ywlx_min 
and ord_ywlx like @ord_ywlx_max 
and ord_pqfzr like @ord_pqfzr_min 
and ord_pqfzr like @ord_pqfzr_max 
and ord_dpmc like @ord_dpmc_min 
and ord_dpmc like @ord_dpmc_max 
and ord_ksrq>=@ord_ksrq_min 
and ord_ksrq<=@ord_ksrq_max 
and ord_lxdh like @ord_lxdh_min 
and ord_lxdh like @ord_lxdh_max 
and ord_no like @ord_no_min 
and ord_no like @ord_no_max 
and ord_status like @ord_status_min 
and ord_status like @ord_status_max 
and ord_ddcuid>=@ord_ddcuid_min 
and ord_ddcuid<=@ord_ddcuid_max 
and ord_creator like @ord_creator_min 
and ord_creator like @ord_creator_max 
order by ord_date desc,ord_zw,ord_ywlx,ord_pqfzr,ord_dpmc,ord_ksrq desc,ord_lxdh,ord_no,ord_status,ord_ddcuid,ord_creator
end else 
if (@pagesize>=100000000)  --  转存到中间表
begin
set @pagesize = @pagesize - 100000000 
if (@pagesize<=0) set @pagesize = 100000000 
delete datalinker where useruid = @useruid 
insert into datalinker(useruid,objid) 
select top(@pagesize) @useruid,a.ord_id  from order_204 a,order_204_users 
where a.ord_id=ordp_ordid 
and ordp_type='bizview' 
and ordp_cuid=@useruid 
and a.ord_finished>=2 
and (a.ord_status=@status or @status='') 
and ord_zw like @ord_zw_min 
and ord_zw like @ord_zw_max 
and ord_ywlx like @ord_ywlx_min 
and ord_ywlx like @ord_ywlx_max 
and ord_pqfzr like @ord_pqfzr_min 
and ord_pqfzr like @ord_pqfzr_max 
and ord_dpmc like @ord_dpmc_min 
and ord_dpmc like @ord_dpmc_max 
and ord_ksrq>=@ord_ksrq_min 
and ord_ksrq<=@ord_ksrq_max 
and ord_lxdh like @ord_lxdh_min 
and ord_lxdh like @ord_lxdh_max 
and ord_no like @ord_no_min 
and ord_no like @ord_no_max 
and ord_status like @ord_status_min 
and ord_status like @ord_status_max 
and ord_ddcuid>=@ord_ddcuid_min 
and ord_ddcuid<=@ord_ddcuid_max 
and ord_creator like @ord_creator_min 
and ord_creator like @ord_creator_max 
order by ord_date desc,ord_zw,ord_ywlx,ord_pqfzr,ord_dpmc,ord_ksrq desc,ord_lxdh,ord_no,ord_status,ord_ddcuid,ord_creator
select count(1) resultcount  from datalinker where useruid=@useruid 
end else
begin
select count(1) cnt from order_204 a,order_204_users 
where a.ord_id=ordp_ordid 
and a.ord_finished>=2 
and ordp_type='bizview' 
and ordp_cuid=@useruid 
and (a.ord_status=@status or @status='') 
and ord_zw like @ord_zw_min 
and ord_zw like @ord_zw_max 
and ord_ywlx like @ord_ywlx_min 
and ord_ywlx like @ord_ywlx_max 
and ord_pqfzr like @ord_pqfzr_min 
and ord_pqfzr like @ord_pqfzr_max 
and ord_dpmc like @ord_dpmc_min 
and ord_dpmc like @ord_dpmc_max 
and ord_ksrq>=@ord_ksrq_min 
and ord_ksrq<=@ord_ksrq_max 
and ord_lxdh like @ord_lxdh_min 
and ord_lxdh like @ord_lxdh_max 
and ord_no like @ord_no_min 
and ord_no like @ord_no_max 
and ord_status like @ord_status_min 
and ord_status like @ord_status_max 
and ord_ddcuid>=@ord_ddcuid_min 
and ord_ddcuid<=@ord_ddcuid_max 
and ord_creator like @ord_creator_min 
and ord_creator like @ord_creator_max 

-- 返回所有ID
insert into @pobjs(ordid) select top(@amount) ord_id from order_204 a,order_204_users 
where a.ord_id=ordp_ordid 
and a.ord_finished>=2 
and ordp_type='bizview' 
and ordp_cuid=@useruid 
and (a.ord_status=@status or @status='') 
and ord_zw like @ord_zw_min 
and ord_zw like @ord_zw_max 
and ord_ywlx like @ord_ywlx_min 
and ord_ywlx like @ord_ywlx_max 
and ord_pqfzr like @ord_pqfzr_min 
and ord_pqfzr like @ord_pqfzr_max 
and ord_dpmc like @ord_dpmc_min 
and ord_dpmc like @ord_dpmc_max 
and ord_ksrq>=@ord_ksrq_min 
and ord_ksrq<=@ord_ksrq_max 
and ord_lxdh like @ord_lxdh_min 
and ord_lxdh like @ord_lxdh_max 
and ord_no like @ord_no_min 
and ord_no like @ord_no_max 
and ord_status like @ord_status_min 
and ord_status like @ord_status_max 
and ord_ddcuid>=@ord_ddcuid_min 
and ord_ddcuid<=@ord_ddcuid_max 
and ord_creator like @ord_creator_min 
and ord_creator like @ord_creator_max 
order by ord_date desc,ord_zw,ord_ywlx,ord_pqfzr,ord_dpmc,ord_ksrq desc,ord_lxdh,ord_no,ord_status,ord_ddcuid,ord_creator
select ordid from @pobjs 
order by nid 
-- 返回第一页 
select top(@pagesize) a.* from order_204 a,@pobjs 
where a.ord_id=ordid 
and (a.ord_status=@status or @status='')
and a.ord_finished>=2 
order by nid 
-- 返回权限 
select a.* from order_204_users a , @pobjs 
where ordp_ordid=ordid 
and nid<=@pagesize 
and ordp_cuid=@useruid 
end 
end else
if (@finished = 1)
begin
if (@pagesize=10000)  -- 下载
begin
select a.* from order_204 a,order_204_users 
where a.ord_cmpid=@cmpid 
and ordp_type='bizview' 
and ordp_cuid=@useruid 
and ordp_ordid=a.ord_id 
and (a.ord_status=@status or @status='') 
and (a.ord_finished>0 and a.ord_finished<=1)
and ord_zw like @ord_zw_min 
and ord_zw like @ord_zw_max 
and ord_ywlx like @ord_ywlx_min 
and ord_ywlx like @ord_ywlx_max 
and ord_pqfzr like @ord_pqfzr_min 
and ord_pqfzr like @ord_pqfzr_max 
and ord_dpmc like @ord_dpmc_min 
and ord_dpmc like @ord_dpmc_max 
and ord_ksrq>=@ord_ksrq_min 
and ord_ksrq<=@ord_ksrq_max 
and ord_lxdh like @ord_lxdh_min 
and ord_lxdh like @ord_lxdh_max 
and ord_no like @ord_no_min 
and ord_no like @ord_no_max 
and ord_status like @ord_status_min 
and ord_status like @ord_status_max 
and ord_ddcuid>=@ord_ddcuid_min 
and ord_ddcuid<=@ord_ddcuid_max 
and ord_creator like @ord_creator_min 
and ord_creator like @ord_creator_max 
order by ord_date desc,ord_zw,ord_ywlx,ord_pqfzr,ord_dpmc,ord_ksrq desc,ord_lxdh,ord_no,ord_status,ord_ddcuid,ord_creator
end else 
if (@pagesize>=100000000)  --  转存到中间表
begin
set @pagesize = @pagesize - 100000000 
if (@pagesize<=0) set @pagesize = 100000000 
delete datalinker where useruid = @useruid 
insert into datalinker(useruid,objid) 
select top(@pagesize) @useruid,a.ord_id  from order_204 a,order_204_users 
where a.ord_id=ordp_ordid 
and ordp_type='bizview' 
and ordp_cuid=@useruid 
and (a.ord_finished>0 and a.ord_finished<=1)
and (a.ord_status=@status or @status='') 
and ord_zw like @ord_zw_min 
and ord_zw like @ord_zw_max 
and ord_ywlx like @ord_ywlx_min 
and ord_ywlx like @ord_ywlx_max 
and ord_pqfzr like @ord_pqfzr_min 
and ord_pqfzr like @ord_pqfzr_max 
and ord_dpmc like @ord_dpmc_min 
and ord_dpmc like @ord_dpmc_max 
and ord_ksrq>=@ord_ksrq_min 
and ord_ksrq<=@ord_ksrq_max 
and ord_lxdh like @ord_lxdh_min 
and ord_lxdh like @ord_lxdh_max 
and ord_no like @ord_no_min 
and ord_no like @ord_no_max 
and ord_status like @ord_status_min 
and ord_status like @ord_status_max 
and ord_ddcuid>=@ord_ddcuid_min 
and ord_ddcuid<=@ord_ddcuid_max 
and ord_creator like @ord_creator_min 
and ord_creator like @ord_creator_max 
order by ord_date desc,ord_zw,ord_ywlx,ord_pqfzr,ord_dpmc,ord_ksrq desc,ord_lxdh,ord_no,ord_status,ord_ddcuid,ord_creator
select count(1) resultcount  from datalinker where useruid=@useruid 
end else
begin
select count(1) cnt from order_204 a,order_204_users 
where a.ord_id=ordp_ordid 
and (a.ord_finished>0 and a.ord_finished<=1)
and ordp_type='bizview' 
and ordp_cuid=@useruid 
and (a.ord_status=@status or @status='') 
and ord_zw like @ord_zw_min 
and ord_zw like @ord_zw_max 
and ord_ywlx like @ord_ywlx_min 
and ord_ywlx like @ord_ywlx_max 
and ord_pqfzr like @ord_pqfzr_min 
and ord_pqfzr like @ord_pqfzr_max 
and ord_dpmc like @ord_dpmc_min 
and ord_dpmc like @ord_dpmc_max 
and ord_ksrq>=@ord_ksrq_min 
and ord_ksrq<=@ord_ksrq_max 
and ord_lxdh like @ord_lxdh_min 
and ord_lxdh like @ord_lxdh_max 
and ord_no like @ord_no_min 
and ord_no like @ord_no_max 
and ord_status like @ord_status_min 
and ord_status like @ord_status_max 
and ord_ddcuid>=@ord_ddcuid_min 
and ord_ddcuid<=@ord_ddcuid_max 
and ord_creator like @ord_creator_min 
and ord_creator like @ord_creator_max 

-- 返回所有ID
insert into @pobjs(ordid) select top(@amount) ord_id from order_204 a,order_204_users 
where a.ord_id=ordp_ordid 
and (a.ord_finished>0 and a.ord_finished<=1)
and ordp_type='bizview' 
and ordp_cuid=@useruid 
and (a.ord_status=@status or @status='') 
and ord_zw like @ord_zw_min 
and ord_zw like @ord_zw_max 
and ord_ywlx like @ord_ywlx_min 
and ord_ywlx like @ord_ywlx_max 
and ord_pqfzr like @ord_pqfzr_min 
and ord_pqfzr like @ord_pqfzr_max 
and ord_dpmc like @ord_dpmc_min 
and ord_dpmc like @ord_dpmc_max 
and ord_ksrq>=@ord_ksrq_min 
and ord_ksrq<=@ord_ksrq_max 
and ord_lxdh like @ord_lxdh_min 
and ord_lxdh like @ord_lxdh_max 
and ord_no like @ord_no_min 
and ord_no like @ord_no_max 
and ord_status like @ord_status_min 
and ord_status like @ord_status_max 
and ord_ddcuid>=@ord_ddcuid_min 
and ord_ddcuid<=@ord_ddcuid_max 
and ord_creator like @ord_creator_min 
and ord_creator like @ord_creator_max 
order by ord_date desc,ord_zw,ord_ywlx,ord_pqfzr,ord_dpmc,ord_ksrq desc,ord_lxdh,ord_no,ord_status,ord_ddcuid,ord_creator
select ordid from @pobjs 
order by nid 
-- 返回第一页 
select top(@pagesize) a.* from order_204 a,@pobjs 
where a.ord_id=ordid 
and (a.ord_status=@status or @status='')
and (a.ord_finished>0 and a.ord_finished<=1) 
order by nid 
-- 返回权限 
select a.* from order_204_users a , @pobjs 
where ordp_ordid=ordid 
and nid<=@pagesize 
and ordp_cuid=@useruid 
end 
end else
if (@finished = -1)
begin
if (@pagesize=10000)  -- 下载
begin
select a.* from order_204 a,order_204_users 
where a.ord_cmpid=@cmpid 
and ordp_type='bizview' 
and ordp_ordid=a.ord_id 
and ordp_cuid=@useruid 
and (a.ord_status=@status or @status='') 
and ord_finished=-1 
and ord_zw like @ord_zw_min 
and ord_zw like @ord_zw_max 
and ord_ywlx like @ord_ywlx_min 
and ord_ywlx like @ord_ywlx_max 
and ord_pqfzr like @ord_pqfzr_min 
and ord_pqfzr like @ord_pqfzr_max 
and ord_dpmc like @ord_dpmc_min 
and ord_dpmc like @ord_dpmc_max 
and ord_ksrq>=@ord_ksrq_min 
and ord_ksrq<=@ord_ksrq_max 
and ord_lxdh like @ord_lxdh_min 
and ord_lxdh like @ord_lxdh_max 
and ord_no like @ord_no_min 
and ord_no like @ord_no_max 
and ord_status like @ord_status_min 
and ord_status like @ord_status_max 
and ord_ddcuid>=@ord_ddcuid_min 
and ord_ddcuid<=@ord_ddcuid_max 
and ord_creator like @ord_creator_min 
and ord_creator like @ord_creator_max 
order by ord_date desc,ord_zw,ord_ywlx,ord_pqfzr,ord_dpmc,ord_ksrq desc,ord_lxdh,ord_no,ord_status,ord_ddcuid,ord_creator
end else 
if (@pagesize>=100000000)  --  转存到中间表
begin
set @pagesize = @pagesize - 100000000 
if (@pagesize<=0) set @pagesize = 100000000 
delete datalinker where useruid = @useruid 
insert into datalinker(useruid,objid) 
select top(@pagesize) @useruid,a.ord_id  from order_204 a,order_204_users 
where a.ord_id=ordp_ordid 
and ordp_type='bizview' 
and ordp_cuid=@useruid 
and ord_finished=-1 
and (a.ord_status=@status or @status='') 
and ord_zw like @ord_zw_min 
and ord_zw like @ord_zw_max 
and ord_ywlx like @ord_ywlx_min 
and ord_ywlx like @ord_ywlx_max 
and ord_pqfzr like @ord_pqfzr_min 
and ord_pqfzr like @ord_pqfzr_max 
and ord_dpmc like @ord_dpmc_min 
and ord_dpmc like @ord_dpmc_max 
and ord_ksrq>=@ord_ksrq_min 
and ord_ksrq<=@ord_ksrq_max 
and ord_lxdh like @ord_lxdh_min 
and ord_lxdh like @ord_lxdh_max 
and ord_no like @ord_no_min 
and ord_no like @ord_no_max 
and ord_status like @ord_status_min 
and ord_status like @ord_status_max 
and ord_ddcuid>=@ord_ddcuid_min 
and ord_ddcuid<=@ord_ddcuid_max 
and ord_creator like @ord_creator_min 
and ord_creator like @ord_creator_max 
order by ord_date desc,ord_zw,ord_ywlx,ord_pqfzr,ord_dpmc,ord_ksrq desc,ord_lxdh,ord_no,ord_status,ord_ddcuid,ord_creator
select count(1) resultcount  from datalinker where useruid=@useruid 
end else
begin
select count(1) cnt from order_204 a,order_204_users 
where a.ord_id=ordp_ordid 
and ord_finished=-1 
and ordp_type='bizview' 
and ordp_cuid=@useruid 
and (a.ord_status=@status or @status='') 
and ord_zw like @ord_zw_min 
and ord_zw like @ord_zw_max 
and ord_ywlx like @ord_ywlx_min 
and ord_ywlx like @ord_ywlx_max 
and ord_pqfzr like @ord_pqfzr_min 
and ord_pqfzr like @ord_pqfzr_max 
and ord_dpmc like @ord_dpmc_min 
and ord_dpmc like @ord_dpmc_max 
and ord_ksrq>=@ord_ksrq_min 
and ord_ksrq<=@ord_ksrq_max 
and ord_lxdh like @ord_lxdh_min 
and ord_lxdh like @ord_lxdh_max 
and ord_no like @ord_no_min 
and ord_no like @ord_no_max 
and ord_status like @ord_status_min 
and ord_status like @ord_status_max 
and ord_ddcuid>=@ord_ddcuid_min 
and ord_ddcuid<=@ord_ddcuid_max 
and ord_creator like @ord_creator_min 
and ord_creator like @ord_creator_max 

-- 返回所有ID
insert into @pobjs(ordid) select top(@amount) ord_id from order_204 a,order_204_users 
where a.ord_id=ordp_ordid 
and ord_finished=-1 
and ordp_type='bizview' 
and ordp_cuid=@useruid 
and (a.ord_status=@status or @status='') 
and ord_zw like @ord_zw_min 
and ord_zw like @ord_zw_max 
and ord_ywlx like @ord_ywlx_min 
and ord_ywlx like @ord_ywlx_max 
and ord_pqfzr like @ord_pqfzr_min 
and ord_pqfzr like @ord_pqfzr_max 
and ord_dpmc like @ord_dpmc_min 
and ord_dpmc like @ord_dpmc_max 
and ord_ksrq>=@ord_ksrq_min 
and ord_ksrq<=@ord_ksrq_max 
and ord_lxdh like @ord_lxdh_min 
and ord_lxdh like @ord_lxdh_max 
and ord_no like @ord_no_min 
and ord_no like @ord_no_max 
and ord_status like @ord_status_min 
and ord_status like @ord_status_max 
and ord_ddcuid>=@ord_ddcuid_min 
and ord_ddcuid<=@ord_ddcuid_max 
and ord_creator like @ord_creator_min 
and ord_creator like @ord_creator_max 
order by ord_date desc,ord_zw,ord_ywlx,ord_pqfzr,ord_dpmc,ord_ksrq desc,ord_lxdh,ord_no,ord_status,ord_ddcuid,ord_creator
select ordid from @pobjs 
order by nid 
-- 返回第一页 
select top(@pagesize) a.* from order_204 a,@pobjs 
where a.ord_id=ordid 
and (a.ord_status=@status or @status='')
and ord_finished=-1 
order by nid 
-- 返回权限 
select a.* from order_204_users a , @pobjs 
where ordp_ordid=ordid 
and nid<=@pagesize 
and ordp_cuid=@useruid 
end 
end 
set nocount off end